package org.gcube.datacatalogue.grsf_manage_widget.shared;

import java.io.Serializable;

public class RevertableOperationInfo implements Serializable{

	private static final long serialVersionUID = 5274434342849474800L;
	private String recordUrl;
	private String fullName;
	private String uuid;
	private String admin;
	private long timestamp;
	private RevertableOperations operation;

	public RevertableOperationInfo() {
		super();
	}

	public RevertableOperationInfo(String recordUrl, String fullName,
			String uuid, String admin, long timestamp, RevertableOperations operation) {
		super();
		this.recordUrl = recordUrl;
		this.fullName = fullName;
		this.uuid = uuid;
		this.admin = admin;
		this.timestamp = timestamp;
		this.operation = operation;
	}

	public String getAdmin() {
		return admin;
	}

	public void setAdmin(String admin) {
		this.admin = admin;
	}

	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public RevertableOperations getOperation() {
		return operation;
	}

	public void setOperation(RevertableOperations operation) {
		this.operation = operation;
	}

	public String getRecordUrl() {
		return recordUrl;
	}
	public void setRecordUrl(String recordUrl) {
		this.recordUrl = recordUrl;
	}
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	@Override
	public String toString() {
		return "RevertableOperationInfo [recordUrl=" + recordUrl + ", fullName="
				+ fullName + ", uuid=" + uuid + ", admin=" + admin
				+ ", timestamp=" + timestamp + ", operation=" + operation + "]";
	}
}
